package org.netbeans.lib.cvsclient.file;

/**
 * @author Thomas Singer
 */
public class RemoteFileStatus {

	// Constants ==============================================================

	public static final RemoteFileStatus UP_TO_DATE = new RemoteFileStatus("Current revision");
	public static final RemoteFileStatus NEW_REVISION_AVAILABLE = new RemoteFileStatus("New revision available");
	public static final RemoteFileStatus REMOVED = new RemoteFileStatus("Removed");

	// Fields =================================================================

	private final String name;

	// Setup ==================================================================

	private RemoteFileStatus(String name) {
		this.name = name;
	}

	// Implemented ============================================================

	@Override
	public String toString() {
		return name;
	}
}
